# Status

Symbols:

- 🚧 Work in Progress
- 🚫 Not planned
- ❓Mabe implement

## Low Level API

- [x] Paket Parser
  - [x] Old Format (v3)
  - [x] New Format (v4)
  - [ ] 🚧 New New Format (v5)
- [x] ASCII Armor
  - [x] Reading
  - [x] Writing
- [ ] Cleartext Signature Framework
- [x] Paket Generation
- [x] Signatures
  - [x] Validation
  - [x] Generation
- [x] Encryption
- [x] Decryption
- [x] Keys
  - [x] Generation
  - [x] Export
  - [x] Import
- [ ] Public-Key Algorithms
  - [x] RSA
  - [ ] 🚫 Elgamal (Encrypt only)
  - [ ] DSA
  - [x] ECDH
  - [ ] ECDSA
  - [x] EdDSA
- [ ] Supported Elliptic Curves
  - [ ] NIST P256
  - [ ] NIST P384
  - [ ] NIST P521
  - [ ] brainpool256rl
  - [ ] brainpool521rl
  - [x] Curve 25519
- [ ] Symmetric Algorithms
  - [x] Plaintext
  - [ ] IDEA
  - [x] DES
  - [x] CAST5
  - [x] Blowfish
  - [x] AES 128
  - [x] AES 192
  - [x] AES 256
  - [x] Twofish
  - [ ] Camellia 128
  - [ ] Camellia 192
  - [ ] Camellia 256
- [x] Hash Algorithms
  - [x] MD5
  - [x] SHA-1
  - [x] RIPE-MD/160
  - [x] SHA2 256
  - [x] SHA2 384
  - [x] SHA2 512
  - [x] SHA2 224
  - [x] SHA3 256
  - [x] SHA3 512
- [ ] Compression Algorithms
  - [x] ZIP
  - [x] ZLIB
  - [ ] 🚫 BZip2
- [ ] AEAD Algorithms
  - [ ] EAX
  - [ ] OCB





## High Level API

Not yet started
